#include<bits/stdc++.h>
using namespace std;
int main(){
	long long n;
	cin>>n;
	long long a[n+1];
	long long pom[3]={1,2,5};
	long long k=1;
	a[0]=0;
	a[1]=1;
	for(long long i=1;i<=n;i++){
		long long j=0;
		k=1;
		a[i]=i;
		while(pom[j]*k<=i){
			a[i]=min(a[i-pom[j]*k]+1,a[i]);
			j++;
			if(j>2){
				j=0;
				k*=10;
			}
		}
	}
	cout<<a[n];
}